<?xml version="1.0" encoding="UTF-8"?>
<configurationDescriptor version="62">
  <logicalFolder name="root" displayName="root" projectFiles="true">
    <logicalFolder name="HeaderFiles"
                   displayName="Header Files"
                   projectFiles="true">
    </logicalFolder>
    <logicalFolder name="LinkerScript"
                   displayName="Linker Files"
                   projectFiles="true">
    </logicalFolder>
    <logicalFolder name="SourceFiles"
                   displayName="Source Files"
                   projectFiles="true">
    </logicalFolder>
    <logicalFolder name="ExternalFiles"
                   displayName="Important Files"
                   projectFiles="false">
      <itemPath>Makefile</itemPath>
    </logicalFolder>
  </logicalFolder>
  <projectmakefile>Makefile</projectmakefile>
  <confs>
    <conf name="default" type="2">
      <toolsSet>
        <developmentServer>localhost</developmentServer>
        <targetDevice>PIC16F1619</targetDevice>
        <targetHeader></targetHeader>
        <targetPluginBoard></targetPluginBoard>
        <platformTool>Simulator</platformTool>
        <languageToolchain>XC8</languageToolchain>
        <languageToolchainVersion>2.10</languageToolchainVersion>
        <platform>3</platform>
      </toolsSet>
      <compileType>
        <linkerTool>
          <linkerLibItems>
          </linkerLibItems>
        </linkerTool>
        <archiverTool>
        </archiverTool>
        <loading>
          <useAlternateLoadableFile>false</useAlternateLoadableFile>
          <parseOnProdLoad>false</parseOnProdLoad>
          <alternateLoadableFile></alternateLoadableFile>
        </loading>
        <subordinates>
        </subordinates>
      </compileType>
      <makeCustomizationType>
        <makeCustomizationPreStepEnabled>false</makeCustomizationPreStepEnabled>
        <makeCustomizationPreStep></makeCustomizationPreStep>
        <makeCustomizationPostStepEnabled>false</makeCustomizationPostStepEnabled>
        <makeCustomizationPostStep></makeCustomizationPostStep>
        <makeCustomizationPutChecksumInUserID>false</makeCustomizationPutChecksumInUserID>
        <makeCustomizationEnableLongLines>false</makeCustomizationEnableLongLines>
        <makeCustomizationNormalizeHexFile>false</makeCustomizationNormalizeHexFile>
      </makeCustomizationType>
      <HI-TECH-COMP>
        <property key="asmlist" value="true"/>
        <property key="define-macros" value=""/>
        <property key="disable-optimizations" value="false"/>
        <property key="extra-include-directories" value=""/>
        <property key="favor-optimization-for" value="-speed,+space"/>
        <property key="identifier-length" value="255"/>
        <property key="local-generation" value="false"/>
        <property key="operation-mode" value="free"/>
        <property key="opt-xc8-compiler-strict_ansi" value="false"/>
        <property key="optimization-assembler" value="true"/>
        <property key="optimization-assembler-files" value="true"/>
        <property key="optimization-debug" value="false"/>
        <property key="optimization-global" value="true"/>
        <property key="optimization-invariant-enable" value="false"/>
        <property key="optimization-invariant-value" value="16"/>
        <property key="optimization-level" value="9"/>
        <property key="optimization-set" value="default"/>
        <property key="optimization-speed" value="false"/>
        <property key="optimization-stable-enable" value="false"/>
        <property key="preprocess-assembler" value="true"/>
        <property key="undefine-macros" value=""/>
        <property key="use-cci" value="false"/>
        <property key="use-iar" value="false"/>
        <property key="verbose" value="false"/>
        <property key="warning-level" value="-3"/>
        <property key="what-to-do" value="ignore"/>
      </HI-TECH-COMP>
      <HI-TECH-LINK>
        <property key="additional-options-checksum" value=""/>
        <property key="additional-options-code-offset" value=""/>
        <property key="additional-options-command-line" value=""/>
        <property key="additional-options-errata" value=""/>
        <property key="additional-options-extend-address" value="false"/>
        <property key="additional-options-trace-type" value=""/>
        <property key="additional-options-use-response-files" value="false"/>
        <property key="backup-reset-condition-flags" value="false"/>
        <property key="calibrate-oscillator" value="false"/>
        <property key="calibrate-oscillator-value" value="0x3400"/>
        <property key="clear-bss" value="true"/>
        <property key="code-model-external" value="wordwrite"/>
        <property key="code-model-rom" value=""/>
        <property key="create-html-files" value="false"/>
        <property key="data-model-ram" value=""/>
        <property key="data-model-size-of-double" value="24"/>
        <property key="data-model-size-of-float" value="24"/>
        <property key="display-class-usage" value="false"/>
        <property key="display-hex-usage" value="false"/>
        <property key="display-overall-usage" value="true"/>
        <property key="display-psect-usage" value="false"/>
        <property key="fill-flash-options-addr" value=""/>
        <property key="fill-flash-options-const" value=""/>
        <property key="fill-flash-options-how" value="0"/>
        <property key="fill-flash-options-inc-const" value="1"/>
        <property key="fill-flash-options-increment" value=""/>
        <property key="fill-flash-options-seq" value=""/>
        <property key="fill-flash-options-what" value="0"/>
        <property key="format-hex-file-for-download" value="false"/>
        <property key="initialize-data" value="true"/>
        <property key="keep-generated-startup.as" value="false"/>
        <property key="link-in-c-library" value="true"/>
        <property key="link-in-peripheral-library" value="false"/>
        <property key="managed-stack" value="false"/>
        <property key="opt-xc8-linker-file" value="false"/>
        <property key="opt-xc8-linker-link_startup" value="false"/>
        <property key="opt-xc8-linker-serial" value=""/>
        <property key="program-the-device-with-default-config-words" value="true"/>
      </HI-TECH-LINK>
      <XC8-config-global>
        <property key="advanced-elf" value="true"/>
        <property key="output-file-format" value="-mcof,+elf"/>
        <property key="stack-size-high" value="auto"/>
        <property key="stack-size-low" value="auto"/>
        <property key="stack-size-main" value="auto"/>
        <property key="stack-type" value="compiled"/>
      </XC8-config-global>
    </conf>
  </confs>
</configurationDescriptor>
